Subject: Re: [ldapext] Comparing RFC2307, RFC2307bis and DBIS

From: Mark R Bannister <[email-masked]>
Date: Wed, 30 Sep 2015 22:36:19 +0100

On 14/04/2015 00:07, Mark R Bannister wrote:
> I've now written up what I hope is a comprehensive comparison of 
> RFC2307, RFC2307bis and DBIS (a proposed replacement for them).
>
> I was motivated to do this after talking recently with some software 
> vendors who seemed to misunderstand DBIS, thinking that they could get 
> all the benefits of DBIS from their RFC2307 client software just by 
> remapping some attributes.  The write-up below should hopefully shed 
> more light on what you can do, what you can't do, and why DBIS is a 
> big improvement over RFC2307 or RFC2307bis.
>
> Feature comparison:
> https://sourceforge.net/p/dbis/wiki/DBIS%20and%20RFC2307%20-%20A%20Comparison/ 
>
>
> Schema comparison:
> https://sourceforge.net/p/dbis/wiki/DBIS%20and%20RFC2307%20schemas/
>
> Comments welcome as always.  Note that DBIS is still a work in 
> progress, and I will gladly receive and consider feature requests. I'm 
> also looking for individuals who can test DBIS on other platforms and 
> provide patches where necessary, as I only have access to OpenSuSE, 
> RHEL and Solaris hosts.
>
> Best regards,
> Mark Bannister.
>
> _______________________________________________
> Ldapext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ldapext
>

... and further to this, I've just released DBIS 1.5.0 which now 
includes a C API, as well as the Python API and Perl API that it 
previously had.  I'll also be talking about DBIS at LDAPCon 2015.

See: http://dbis.sf.net and http://ldapcon.org/2015/?page_id=136

Best regards,
Mark.